using Godot;
using System.Collections;
using System.Collections.Generic;
using Godot.Collections;

namespace Rokojori
{
  [Tool]
  [GlobalClass, Icon("res://addons/rokojori_action_library/Icons/CCMoveAndSlide.svg")]
  public partial class ProcessVelocity:CharacterControllerAction
  {
    [Export]
    public float velocityScale = 0.1f;

    protected override void _OnTrigger()
    {
      SetScaledVelocity( velocityScale );
    }
  }
}